%define product   LDAPUserFolder
%define version   2.6
%define release   4

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product that provide a user folder that authenticates users against LDAP
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   ZPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
URL:       http://www.dataflake.org/software/ldapuserfolder/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope python2.4-ldap

#----------------------------------------------------------------------
%description
The LDAP User Folder is a user folder replacement for Zope that
authenticates Zope users against LDAP.

Note to Plone users: Please make sure to upgrade to Group User Folder
(GRUF) version 3 or higher to minimize problems.

Starting with LDAPUserFolder 2.6beta3, the former CMFLDAP package has
been folded into the LDAPUserFolder package.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf  %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/CHANGES.txt %{product}/COPYRIGHT.txt %{product}/HISTORY.txt %{product}/INSTALL.txt %{product}/LICENSE.txt %{product}/README.ActiveDirectory.txt %{product}/README.txt %{product}/SAMPLE_RECORDS.txt %{product}/VERSION.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 2.6-4mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 2.6-3mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 2.6-2mdk
- Give ownership to zope

* Tue Jan 31 2006 Kevin Deldycke <kevin@nexedi.com> 2.6-1mdk
- Initial release
